---
updatedAt: 2026-08-18T07:38:40.000Z
agentTools:
  projectIndex: https://docs.tarabut.com/llms.txt
---

# Get Account Transactions

Get Transactions for a specific account given an accountId. All transactions are enriched with attributes from Tarabut's Insights service that provides category and merchant details. 
`Note: you must have a valid consent to fetch your customer's account transactions`

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Connect",
    "description": "APIs for the Tarabut sandbox environment. Before you begin, please create the 'clientId' and 'clientSecret' from Tarabut Dev Portal.",
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://api.sau.sandbox.tarabutgateway.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Your access token generated from the [Create Access Token](https://docs.tarabut.com/v2.0/reference/createaccesstokenv2) endpoint, the access token will contain `X-TG-CustomerUserId` that was added when the token was generated"
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/accountInformation/v2/accounts/{accountId}/transactions": {
      "get": {
        "tags": [
          "Connect"
        ],
        "summary": "Get Account Transactions",
        "description": "Get Transactions for a specific account given an accountId. All transactions are enriched with attributes from Tarabut's Insights service that provides category and merchant details. \n`Note: you must have a valid consent to fetch your customer's account transactions`",
        "operationId": "getTransactionsV2",
        "parameters": [
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "description": "Specify the body format to JSON format",
              "default": "application/json"
            },
            "required": true
          },
          {
            "name": "accountId",
            "in": "path",
            "schema": {
              "type": "string",
              "description": "The `accountId` that has been returned on the [Get Accounts](https://docs.tarabut.com/v2.0/reference/getaccountsv2) endpoint"
            },
            "required": true
          },
          {
            "name": "page",
            "in": "query",
            "schema": {
              "type": "integer",
              "format": "int32",
              "description": "Desired results page number (default is 1)"
            }
          },
          {
            "name": "fromBookingDateTime",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "description": "Start timestamp for transaction request in DateTime format"
            }
          },
          {
            "name": "toBookingDateTime",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date-time",
              "description": "End timestamp for transaction request in DateTime format"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "required": [
                    "transactions",
                    "meta",
                    "links"
                  ],
                  "properties": {
                    "transactions": {
                      "type": "array",
                      "description": "Array of transaction objects for a given account ID",
                      "items": {
                        "type": "object",
                        "required": [
                          "transactionId",
                          "accountId",
                          "providerId",
                          "transactionDescription",
                          "category",
                          "merchant",
                          "transactionType",
                          "subTransactionType",
                          "creditDebitIndicator",
                          "amount",
                          "bookingDateTime"
                        ],
                        "properties": {
                          "transactionId": {
                            "type": "string",
                            "description": "Unique transaction ID (generated by Tarabut) for every transaction"
                          },
                          "accountId": {
                            "type": "string",
                            "description": "Account ID that the transaction is linked to (provided as path parameter)"
                          },
                          "providerId": {
                            "type": "string",
                            "description": "Unique identifier of the financial institution (see [providers](https://docs.tarabut.com/v2.0/reference/getproviders) endpoint) to which the transaction belongs"
                          },
                          "transactionDescription": {
                            "type": "string",
                            "description": "Description of the transaction provided by the financial institution"
                          },
                          "transactionType": {
                            "type": "string",
                            "description": "Type of the transaction provided by the financial institution, e.g. `POS`, `ECommerce`, `ATM`, `BillPayments`, `LocalBankTransfer`, `SameBankTransfer`, `InternationalTransfer`, `Teller`, `Cheque`, `Other`"
                          },
                          "subTransactionType": {
                            "type": "string",
                            "description": "Subtype of the transaction provided by the financial institution, e.g. `Purchase`, `Reversal`, `Refund`, `Withdrawal`, `WithdrawalReversal`, `Deposit`, `DepositReversal`, `MoneyTransfer`, `NotApplicable`"
                          },
                          "category": {
                            "type": "object",
                            "description": "Transaction category (see [Categorization Taxonomy](https://docs.tarabut.com/v2.0/docs/categorization-taxonomy))",
                            "properties": {
                              "group": {
                                "type": "string",
                                "description": "Transaction category group e.g. `Expense`"
                              },
                              "name": {
                                "type": "string",
                                "description": "Transaction category sub-group e.g. `Eating Out`"
                              },
                              "icon": {
                                "type": "string",
                                "description": "Transaction category sub-group icon in svg format"
                              }
                            }
                          },
                          "merchant": {
                            "type": "object",
                            "description": "Object contains merchant information",
                            "properties": {
                              "name": {
                                "type": "string",
                                "description": "Merchant name for the transaction"
                              },
                              "logo": {
                                "type": "string",
                                "description": "Merchant logo in svg format"
                              },
                              "merchantCategoryCode": {
                                "type": "string",
                                "description": "Merchant category code provided by financial institution"
                              }
                            }
                          },
                          "creditDebitIndicator": {
                            "type": "string",
                            "description": "Indicates whether the transaction is a credit or debit, e.g. `Credit`, `Debit`"
                          },
                          "amount": {
                            "type": "object",
                            "required": [
                              "value",
                              "currency"
                            ],
                            "description": "Transaction amount",
                            "properties": {
                              "value": {
                                "type": "number",
                                "description": "Actual amount value, which is always rounded to up to 3 decimal places depending on the currency",
                                "format": "float"
                              },
                              "currency": {
                                "type": "string",
                                "description": "Currency code associated with amount. Supports all ISO 4217 currency codes"
                              }
                            }
                          },
                          "bookingDateTime": {
                            "type": "string",
                            "format": "date-time",
                            "description": "Timestamp of when the transaction was booked in DateTime format (ISO-8601)"
                          },
                          "accountProductType": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "meta": {
                      "type": "object",
                      "required": [
                        "totalCountOfRecords",
                        "totalCountOfPages",
                        "pageNumber",
                        "pageSize",
                        "lastTransactionsUpdateDatetime",
                        "transactionsAvailability"
                      ],
                      "description": "Object contains the pagination info and query metadata",
                      "properties": {
                        "totalCountOfRecords": {
                          "type": "integer",
                          "description": "Total count of records"
                        },
                        "totalCountOfPages": {
                          "type": "integer",
                          "description": "Total count of pages for the given page size"
                        },
                        "pageNumber": {
                          "type": "integer",
                          "format": "int32",
                          "description": "Current page number"
                        },
                        "pageSize": {
                          "type": "integer",
                          "format": "int32",
                          "description": "Number of records returned per page"
                        },
                        "fromBookingDateTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Start timestamp for transaction request in DateTime format (ISO-8601)"
                        },
                        "toBookingDateTime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "End timestamp for transactions request in DateTime format (ISO-8601)"
                        },
                        "lastTransactionsUpdateDatetime": {
                          "type": "string",
                          "format": "date-time",
                          "description": "Timestamp of the last transactions update in DateTime format (ISO-8601)"
                        },
                        "transactionsAvailability": {
                          "type": "string",
                          "description": "Status of fetching the data from financial instituation, which is `completed` or `progressing`"
                        },
                        "description": {
                          "type": "string",
                          "description": "Description of the transaction processing status."
                        }
                      }
                    },
                    "links": {
                      "type": "array",
                      "description": "Array of Link objects for pagination, e.g. `FIRST`, `LAST`, `PREVIOUS`, `NEXT`",
                      "items": {
                        "type": "object",
                        "required": [
                          "rel",
                          "href"
                        ],
                        "properties": {
                          "rel": {
                            "type": "string",
                            "description": "The relationship of the link, e.g. `FIRST`, `LAST`, `PREVIOUS`, `NEXT`"
                          },
                          "href": {
                            "type": "string",
                            "description": "The link to request the resource"
                          }
                        }
                      }
                    }
                  },
                  "example": {
                    "transactions": [
                      {
                        "transactionId": "8bacc675-3141-4790-a0c5-59d9b54c8c5e",
                        "accountId": "7eeec027-16d2-41bf-abad-70a81aabb2b3",
                        "providerId": "BLUE",
                        "transactionDescription": "Outgoing IPS local transfer CITY:Digital Channel",
                        "transactionType": "LocalBankTransfer",
                        "subTransactionType": "MoneyTransfer",
                        "category": {
                          "group": "Expense",
                          "name": "Fees & Charges",
                          "icon": "https://tg-merchants-prod.s3.me-south-1.amazonaws.com/category/EXPENSE_FEES_CHARGES.svg"
                        },
                        "merchant": {
                          "name": "",
                          "logo": "",
                          "merchantCategoryCode": ""
                        },
                        "creditDebitIndicator": "Debit",
                        "amount": {
                          "value": 14.96,
                          "currency": "SAR"
                        },
                        "bookingDateTime": "2023-10-17T00:00:00.000Z"
                      },
                      {
                        "transactionId": "7966ce3b-65ef-44e3-ac8a-5c12452ab1e9",
                        "accountId": "7eeec027-16d2-41bf-abad-70a81aabb2b3",
                        "providerId": "BLUE",
                        "transactionDescription": "PURCHASE         3LINES RESTAURANT",
                        "transactionType": "POS",
                        "subTransactionType": "Purchase",
                        "category": {
                          "group": "Expense",
                          "name": "Eating Out",
                          "icon": "https://tg-merchants-prod.s3.me-south-1.amazonaws.com/category/EXPENSE_EATING_OUT.svg"
                        },
                        "merchant": {
                          "name": "",
                          "logo": "",
                          "merchantCategoryCode": ""
                        },
                        "creditDebitIndicator": "Debit",
                        "amount": {
                          "value": 3.045,
                          "currency": "SAR"
                        },
                        "bookingDateTime": "2023-10-16T00:00:00.000Z"
                      }
                    ],
                    "meta": {
                      "totalCountOfRecords": 2,
                      "totalCountOfPages": 1,
                      "pageNumber": 1,
                      "pageSize": 10,
                      "fromBookingDateTime": "2023-01-01T15:34:12.000Z",
                      "toBookingDateTime": "2023-08-27T15:34:12.000Z",
                      "lastTransactionsUpdateDatetime": "2024-01-30T10:10:28.069Z",
                      "transactionsAvailability": "completed"
                    },
                    "links": [
                      {
                        "rel": "FIRST",
                        "href": "https://api.sau.sandbox.tarabutgateway.io/accountInformation/v2/accounts/7eeec027-16d2-41bf-abad-70a81aabb2b3/transactions?page=1&fromBookingDateTime=2023-01-01T15:34:12Z&toBookingDateTime=2023-08-27T15:34:12Z"
                      },
                      {
                        "rel": "PREVIOUS",
                        "href": "https://api.sau.sandbox.tarabutgateway.io/accountInformation/v2/accounts/7eeec027-16d2-41bf-abad-70a81aabb2b3/transactions?page=1&fromBookingDateTime=2023-01-01T15:34:12Z&toBookingDateTime=2023-08-27T15:34:12Z"
                      },
                      {
                        "rel": "NEXT",
                        "href": "https://api.sau.sandbox.tarabutgateway.io/accountInformation/v2/accounts/7eeec027-16d2-41bf-abad-70a81aabb2b3/transactions?page=1&fromBookingDateTime=2023-01-01T15:34:12Z&toBookingDateTime=2023-08-27T15:34:12Z"
                      },
                      {
                        "rel": "LAST",
                        "href": "https://api.sau.sandbox.tarabutgateway.io/accountInformation/v2/accounts/7eeec027-16d2-41bf-abad-70a81aabb2b3/transactions?page=1&fromBookingDateTime=2023-01-01T15:34:12Z&toBookingDateTime=2023-08-27T15:34:12Z"
                      }
                    ]
                  }
                },
                "examples": {
                  "OK": {
                    "summary": "OK",
                    "value": {
                      "transactions": [
                        {
                          "transactionId": "1aa68c8a-e38f-4847-89bc-67a64c776908",
                          "accountId": "18bf44e1-3d63-3439-a1bd-dcea9716fbef",
                          "accountProductType": "Savings",
                          "providerId": "GREN",
                          "transactionDescription": "CASH",
                          "transactionType": "POS",
                          "subTransactionType": "Deposit",
                          "category": {
                            "group": "Income",
                            "name": "Other Income",
                            "icon": "https://tg-merchants-prod-frankfurt.s3.eu-central-1.amazonaws.com/category/INCOME_OTHER_INCOME.svg"
                          },
                          "merchant": {
                            "name": "",
                            "logo": ""
                          },
                          "creditDebitIndicator": "Credit",
                          "amount": {
                            "value": 30,
                            "currency": "SAR"
                          },
                          "bookingDateTime": "2026-01-13T07:00:00Z"
                        },
                        {
                          "transactionId": "ec63fa5d-a37f-4918-bf98-8e620a07699d",
                          "accountId": "18bf44e1-3d63-3439-a1bd-dcea9716fbef",
                          "accountProductType": "Savings",
                          "providerId": "GREN",
                          "transactionDescription": "INET NBB SADAD ELECTRONIC P",
                          "transactionType": "ECommerce",
                          "subTransactionType": "Refund",
                          "category": {
                            "group": "Other",
                            "name": "Transfers",
                            "icon": "https://tg-merchants-prod-frankfurt.s3.eu-central-1.amazonaws.com/category/OTHER_TRANSFERS.svg"
                          },
                          "merchant": {
                            "name": "",
                            "logo": "",
                            "merchantCategoryCode": "5811"
                          },
                          "creditDebitIndicator": "Debit",
                          "amount": {
                            "value": 40.908,
                            "currency": "SAR"
                          },
                          "bookingDateTime": "2025-06-28T21:00:00Z"
                        },
                        {
                          "transactionId": "3ccf5ca7-07a5-4f67-b660-f78fa51b8489",
                          "accountId": "18bf44e1-3d63-3439-a1bd-dcea9716fbef",
                          "accountProductType": "Savings",
                          "providerId": "GREN",
                          "transactionDescription": "Banking ORDINARY TRANSFER",
                          "transactionType": "BillPayments",
                          "subTransactionType": "MoneyTransfer",
                          "category": {
                            "group": "Income",
                            "name": "Other Income",
                            "icon": "https://tg-merchants-prod-frankfurt.s3.eu-central-1.amazonaws.com/category/INCOME_OTHER_INCOME.svg"
                          },
                          "merchant": {
                            "name": "",
                            "logo": ""
                          },
                          "creditDebitIndicator": "Credit",
                          "amount": {
                            "value": 28.5,
                            "currency": "SAR"
                          },
                          "bookingDateTime": "2025-06-08T21:00:00Z"
                        }
                      ],
                      "meta": {
                        "totalCountOfRecords": 3,
                        "totalCountOfPages": 1,
                        "pageNumber": 1,
                        "pageSize": 3,
                        "lastTransactionsUpdateDatetime": "2026-08-19T10:08:43.10244Z",
                        "transactionsAvailability": "completed",
                        "description": "Transaction information is processed."
                      },
                      "links": [
                        {
                          "rel": "FIRST",
                          "href": "https://api.sau.sandbox.tarabutgateway.io/accountInformation/v2/accounts/18bf44e1-3d63-3439-a1bd-dcea9716fbef/transactions?page=1"
                        },
                        {
                          "rel": "LAST",
                          "href": "https://api.sau.sandbox.tarabutgateway.io/accountInformation/v2/accounts/18bf44e1-3d63-3439-a1bd-dcea9716fbef/transactions?page=1"
                        }
                      ]
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "Error response",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string",
                      "description": "error name",
                      "example": "UNAUTHORIZED_ACCESS"
                    },
                    "errorMessage": {
                      "type": "string",
                      "description": "error message",
                      "example": "Access token used is invalid or expired. Regenerate the access token"
                    },
                    "traceId": {
                      "type": "string",
                      "description": "Tracing Id used when you contact support",
                      "example": "103230558274891996"
                    },
                    "details": {
                      "type": "array",
                      "description": "The array contains details of the error"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  }
}
```